Bug 50217 - RFE: default wait from 30 to 5 secs
RFE: default wait from 30 to 5 secs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-28 10:59 EDT by Pekka Savola
Modified: 2015-01-07 18:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-28 15:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-07-28 10:59:07 EDT
Even thought the default grub screen _is_ pretty, I see no need
to display it until a key is pressed for 30 seconds.

5 secs would be in line with default lilo config, and actually a rather
sane value all in all.
Comment 1 Nitin Dahyabhai 2001-07-28 15:01:52 EDT
I would tend to disagree for it being the default.  With the multiple
dual boot systems I use, a larger value allows me more flexibility in
choosing which OS to load rather than missing the menu and having to
wait for the OS to come up and reboot properly.  It's an easy enough
problem to have when the stuff before GRUB takes 5-60s from power-on
depending on the hardware.

Besides, you can always choose an option instead of waiting for the
timeout or just edit the grub.conf to shorten it.  The sort of folks
who want a shorter timeout are those that would have the easiest time
changing it to be so.
Comment 2 Pekka Savola 2001-07-28 15:09:17 EDT
In your scenario, if you have to manually choose something, you are _there_.  You should watch the screen. :-)

For e.g. servers and all dumb boxes, servers etc. where dual boot isn't required, or the default setting is right,
waiting 30 secs by default is unacceptable IMO.

("optimal" solution might be that if you have Linux and non-Linux partitions, the wait be longer, but that might
not be "clear" enough and perhaps more complex to implement besides)
Comment 3 Jeremy Katz 2001-07-31 17:14:20 EDT
Agreed that 30 seconds is a bit long, but I also think 5 is a little on the
short side.  Changed to be ten seconds as a middle of the road

Note You need to log in before you can comment on or make changes to this bug.